# Reduce memory footprint

If initial sync fails due to `memory allocation of xxxxxxxx bytes failedAborted` errors, as may happen on devices with limited RAM, try starting rostrum with the `--low_memory` argument. This is a hint to the server to prefer lower memory usage over performance. You can also reduce the `--tx-cache-size` and `--blocktxids-cache-size` parameters. See [configuration](configuration.md).